Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063847 - open-vm-tools FTBFS: error: "g_info" redefined
Summary: open-vm-tools FTBFS: error: "g_info" redefined
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 14:19 UTC by Richard W.M. Jones
Modified: 2014-02-18 08:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-18 07:49:34 UTC


Attachments (Terms of Use)
build.log (deleted)
2014-02-11 14:19 UTC, Richard W.M. Jones
no flags Details
[PATCH] Fix FTBFS g_info redefine (RHBZ #1063847) (deleted)
2014-02-18 07:01 UTC, Igor Gnatenko
no flags Details | Diff

Description Richard W.M. Jones 2014-02-11 14:19:14 UTC
Created attachment 861793 [details]
build.log

Description of problem:

open-vm-tools in Rawhide fails to build from source, giving
the error:

In file included from hgfsclient.c:38:0:
/builddir/build/BUILD/open-vm-tools-9.4.0-1280544/lib/include/vmware/tools/log.h:137:0: error: "g_info" redefined [-Werror]
 #define g_info(fmt, ...) g_log(G_LOG_DOMAIN, G_LOG_LEVEL_INFO, fmt, ## __VA_ARGS__)
 ^
In file included from /usr/include/glib-2.0/glib.h:62:0,
                 from /builddir/build/BUILD/open-vm-tools-9.4.0-1280544/lib/include/vmware/tools/log.h:116,
                 from hgfsclient.c:38:
/usr/include/glib-2.0/glib/gmessages.h:165:0: note: this is the location of the previous definition
 #define g_info(...)     g_log (G_LOG_DOMAIN,         \
 ^
cc1: all warnings being treated as errors

The full build log is attached.

Version-Release number of selected component (if applicable):

open-vm-tools-9.4.0-3.fc21

How reproducible:

100%

Steps to Reproduce:

1. Rebuild it in Koji.

Comment 1 Igor Gnatenko 2014-02-16 12:38:10 UTC
Confirm.

Comment 2 Igor Gnatenko 2014-02-18 07:01:04 UTC
Created attachment 864379 [details]
[PATCH] Fix FTBFS g_info redefine (RHBZ #1063847)

patch for Fedora SCM.

I guarantee that my patch will not break package.

Comment 4 Igor Gnatenko 2014-02-18 07:58:31 UTC
(In reply to Simone Caronni from comment #3)
> Thanks, fix applied:
> 
> http://pkgs.fedoraproject.org/cgit/open-vm-tools.git/commit/
> ?id=0225d0b56bab2860df28808f8541bf5f34ab6b62

No problems. Anytime!

BUT, in the future please use git am for patches.

Comment 5 Simone Caronni 2014-02-18 08:05:48 UTC
(In reply to Igor Gnatenko from comment #4)
> BUT, in the future please use git am for patches.

I will do, sorry.


Note You need to log in before you can comment on or make changes to this bug.